> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/cli/get-started/readme.md).

# PDF Command-line Library

Enhance document processing with Tools & Utilities from Apryse, trusted by startups, governments, and Fortune 500 companies. Explore CLI tools for various platforms and access PDFNet resources for sup

Tools & Utilities can help you work with a variety of document processing commands using a command line interface.

Apryse’s fully supported Apryse SDK is trusted by thousands of innovative startups, governments, and Fortune 500 businesses (see [customers](https://apryse.com/customers)). Apryse technology is built from the ground up and is not dependent on any external third-party open-source software.

<a href="/cli/get-started/readme.md" class="button primary">Get started</a><a href="/cli/get-started/download.md" class="button primary">Download</a>

## Overview

All of the tools below leverage code from the same codebase as our Apryse SDK, which is supported on:

* [Web](/web/get-started/guides.md)
* [Android](/android/guides.md)
* [iOS](/ios/guides.md)
* [Windows](/core/get-started/readme.md)
* [Linux](/core/get-started/readme.md)

Our CLI tools are sufficient for simple use-cases, but if you would like more customization options, or if you'd like to wrap the call as part of a REST API endpoint, we recommend our SDK above.

## Resources

Tools and Utilities is based on PDFNet so users can ask questions, receive help, search for code snippets as well as exchange information and keep up-to-date with the latest developments in PDFNet as well.

Please visit [Apryse Support Resources](https://apryse.com/support) for more information.

### Discord

We regularly exchange information on Discord and answer questions from many enthusiasts, experts, and developers getting familiar with Apryse.

You can find us on [Discord](https://apryse.com/discord)

### Apryse Community

Check out announcements, connect with Support and research questions on our Community page.

You can search the archives by visiting the [Apryse Community](https://community.apryse.com).

## Free trial

* There are no feature limitations during the trial
* [Sign-up](https://dev.apryse.com) to get your trial key
* Chat with us on [Discord](https://apryse.com/discord?docLink=freDis)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/cli/get-started/readme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
